Package org.codehaus.groovy.runtime.memoize

# Interface ValueConvertable<V1,V2>

Type Parameters:
  `V1` - source value type, e.g. SoftReference, WeakReference
  `V2` - target value type, e.g. value that SoftReference or WeakReference referenced

All Known Implementing Classes:
  `CommonCache`, `ConcurrentCommonCache`, `ConcurrentSoftCache`, `StampedCommonCache`

public interface ValueConvertable<V1,V2>
To support caches whose values are convertable, e.g. SoftReference, WeakReference

- ## Method Summary

  Modifier and Type
  Method
  Description
  `V2`
  `convertValue(V1 value)`
  convert the original value to the target value

- ## Method Details

  - ### convertValue

    V2 convertValue(V1 value)
    convert the original value to the target value
    Parameters:
      `value` - the original value
    Returns:
      the converted value